Subject: Re: [PATCH v2 05/10] compat/posix: introduce writev(3p) wrapper

From: "brian m. carlson" <[email-masked]>
Date: Thu, 5 Mar 2026 22:22:45 +0000

On 2026-03-05 at 06:39:13, Johannes Sixt wrote:
> Please don't. The use of writev may mislead you to depend on guarantees
> that a kernel implementation of writev can provide, but a compat/
> implementation cannot. (For example, I read something about "the file
> pointer shall be unchanged" in the case of errors.) Please use simple
> and stupid functions (write). I highly doubt that you can squeeze out a
> noticable performance improvement with writev.

I have Rust code that does show a substantial performance improvement
with writev and I use it for a very similar purpose (printing the size
before a packet of data).

I am okay with slightly loosening the guarantees to support our compat
implementation if that's what we need to do.
-- 
brian m. carlson (they/them)
Toronto, Ontario, CA